// ProObjFigureShadow.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"

// 01.02.12 Fukushiro M. 1_xZkqqHx_iNhDiNoNiPjM_xHqqkZx_ ()
//#include "Env.h"		// For SColorID.
#include "ObjFigure.h"	// For FCObjFigure.

#include "ProObjFigureShadow.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigureShadow _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProObjFigureShadow, CFCProObjProperty)

CFCProObjFigureShadow::CFCProObjFigureShadow () : CFCProObjProperty(CFCProObjFigureShadow::IDD)
{
	//{{AFX_DATA_INIT(CFCProObjFigureShadow)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
} // CFCProObjFigureShadow::CFCProObjFigureShadow.

CFCProObjFigureShadow::~CFCProObjFigureShadow ()
{
} // CFCProObjFigureShadow::~CFCProObjFigureShadow.

void CFCProObjFigureShadow::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProObjFigureShadow)
	DDX_Control(pDX, IDC_FG2_CBB_SHADOW_S_COLOR, m_cbbShadowSColor);
	//}}AFX_DATA_MAP
} // CFCProObjFigureShadow::DoDataExchange.


BEGIN_MESSAGE_MAP(CFCProObjFigureShadow, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProObjFigureShadow)
	ON_BN_CLICKED(IDC_FG2_BTN_SHADOWCOL, OnFg2BtnShadowcol)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	ON_BN_CLICKED(IDC_FG2_BTN_UNUSE, OnFg2BtnUnuse)
	ON_BN_CLICKED(IDC_FG2_BTN_UNSPECIFY, OnFg2BtnUnspecify)
	//}}AFX_MSG_MAP
	ON_CONTROL(CBBN_SELCHANGE, IDC_FG2_CBB_SHADOW_S_COLOR, OnSelchangeFg2CbbShadowSColor)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigureShadow _xZkqqHx_iDiGiBfLiDfFiKnGjAjE_xHqqkZx_
